%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:           nodejs-burrito
Version:        0.2.12
Release:        %mkrel 6
Summary:        Wrap up expressions with a trace function while walking the AST

Group:          System/Libraries
#no license file included, "BSD" indicated in package.json
License:        BSD
URL:            https://github.com/substack/node-burrito
Source0:        https://registry.npmjs.org/burrito/-/burrito-%{version}.tgz
#to satisfy the BSD requirement that the text of the license be included, we
#include this copy of the 3-clause BSD as used in one of the author's projects.
Source1:        https://raw.github.com/substack/lambdascape/master/LICENSE

BuildArch:      noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
%endif

%description
Burrito makes it easy to do crazy stuff with the JavaScript AST.

This is useful if you want to roll your own stack traces or build a code
coverage tool.


%prep
%setup -q -n package

%nodejs_fixdep uglify-js '~1.3.4'
%nodejs_fixdep traverse '~0.6.3'

cp -p %{SOURCE1} LICENSE


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/burrito
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/burrito

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%tap test/*.js
%endif


%files
%{nodejs_sitelib}/burrito
%doc README.markdown example LICENSE




%changelog
* Tue Mar 22 2022 umeabot <umeabot> 0.2.12-6.mga9
+ Revision: 1819903
- Mageia 9 Mass Rebuild

* Tue May 05 2020 joequant <joequant> 0.2.12-5.mga8
+ Revision: 1580482
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 0.2.12-4.mga8
+ Revision: 1492349
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.12-3.mga7
+ Revision: 1264754
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 0.2.12-2.mga6
+ Revision: 950413
- Mageia 6 Mass Rebuild

* Tue Oct 28 2014 tv <tv> 0.2.12-1.mga5
+ Revision: 794257
- imported package nodejs-burrito


* Tue Oct 28 2014 Thierry Vignaud <tv@mageia.org> 0.2.12-1.mga5
- import from FC

* Sat May 10 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.12-9
- fix uglify-js1 symlink

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.12-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 06 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.12-7
- fix compatible arches on f18/el6

* Fri Jul 05 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.2.12-6
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.12-5
- add macro to enable dependency generation on EPEL6

* Tue Mar 19 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.12-4
- include a LICENSE file
- fix typo in Description

* Sat Mar 16 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.12-3
- fix deps for real

* Wed Feb 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.12-2
- fix uglify-js and traverse deps

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.12-1
- initial package generated by npm2rpm
